# SECOND function

The SECOND function returns the seconds part of a value.

The argument must be a time, timestamp, or a valid character string representation of a time or timestamp that is not a CLOB, LONG VARCHAR, or XML value. The result of the function is an integer between 0 and 59. If the argument can be null, the result can be null. If the argument is null, the result is 0.

#### Syntax

    SECOND ( expression )

#### Example

The RECEIVED column contains a timestamp that has an internal value equivalent to 2005-12-25-17.12.30.000000. To return only the seconds part of the timestamp, use the following syntax:

    SECOND(RECEIVED)

The value 30 is returned.
Parent topic: Built-in functions